Jiniu AIJiniu AI
Docs
VideosKling format

Kling text-to-video

Generate a video from a text description with a Kling model.

Supported models: kling-v1, kling-v1-5 and others

POST
/kling/v1/videos/text2video

Request Body

application/json

model?string

Model / style ID

prompt?string

Text prompt

image?string

Image input, as a URL or Base64 string

duration?number

Video duration in seconds

width?integer

Video width

height?integer

Video height

fps?integer

Video frame rate

seed?integer

Random seed

n?integer

Number of videos to generate

response_format?string

Response format

user?string

User identifier

metadata?

Extended parameters such as negative_prompt, style or quality_level

Response Body

application/json

application/json

curl -X POST "https://jiniu.ai/kling/v1/videos/text2video" \  -H "Content-Type: application/json" \  -d '{    "model": "kling-v1",    "prompt": "宇航员站起身走了",    "duration": 5,    "width": 1280,    "height": 720,    "fps": 30  }'
{
  "task_id": "abcd1234efgh",
  "status": "queued"
}
{
  "error": {
    "message": "string",
    "type": "string",
    "param": "string",
    "code": "string"
  }
}